{{! This component is used to display a Complex Stat in an Actor, display as a big circle, possibly with a szecondary stat in a circle around it.
Parameters :
- rollable {Boolean} : can we use the label of the stat to make a roll
- stat {Object} : stat object
- reference {String} : the stat name value. Used by FVTT to save the stat value to the System
- extension-stat {Object} : extension-stat object
- extension-reference {String} : the  extension stat name value. Used by FVTT to save the stat value to the System
}}
<div class="main-stat flexcol {{extra-css}}">
    <label for={{reference}} class="label">{{localize stat.label}}</label>
    <div class="computed main-stat-value flexrow">
        {{#if tertiary-stat}}
            {{> "systems/tor2e/templates/sheets/actors/components/extensions/stat-diamond-ext.hbs"
                    position="tertiary"
                    stat=tertiary-stat
                    reference=tertiary-reference}}
        {{/if}}
        <div class="input-stat-wrapper">
            <input id={{reference}} name={{reference}} type="number" value="{{stat.value}}"
                   data-dtype="{{stat.type}}"/>
        </div>
        {{#if secondary-stat}}
            {{> "systems/tor2e/templates/sheets/actors/components/extensions/stat-diamond-ext.hbs"
                    position="secondary"
                    stat=secondary-stat
                    reference=secondary-reference}}
        {{/if}}
    </div>
</div>